Subject: bug#38289: 27.0.50; C-c C-w not working if signature from gnus-posting-styles applies

From: Amin Bandali <[email-masked]>
Date: Thu, 21 Nov 2019 15:38:01 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> I'm not sure that's a bug, though:
> message-mode knows nothing about
> gnus-posting-styles, and `C-c C-w' is
> documented to act according to what the
> `message-signature' variables says.

While I so wish `message-mode' knew about
`gnus-posting-styles', that's not the bug I'm
reporting.  This is a bug where whenever a
signature rule from `gnus-posting-styles'
applies, `C-c C-w' ceases to work according to
its documentation; it does /nothing/ at all.
The expected behaviour would be for `C-c C-w'
to carry out whatever `message-signature' is
set to do, like you mentioned; but that doesn't
happen; at least not for me.

For instance, if `message-mode' was opened by
hitting `r' on an article in nnimap+gnu:INBOX
which has a custom signature set using
`gnus-posting-styles', if I manually remove the
prefilled signature and hit `C-c C-w', nothing
happens, as if `message-signature' was set to
nil; whereas it is actually t.  Makes sense?